import { __decorate, __metadata } from 'tslib';
import { Prop, Component } from 'vue-property-decorator';
import BaseComponent from '../../BaseComponent.js';
import { BaseButton } from '../BaseButton.js';
import { getStyles } from './CompoundButton.styles.js';

let CompoundButton = class CompoundButton extends BaseComponent {
  get internalStyles() {
    const {
      primary = false,
      theme
    } = this;
    const styles = {};
    return getStyles(theme, styles, primary);
  }

  render() {
    const h = arguments[0];
    const {
      primary,
      internalStyles
    } = this;
    const props = {
      variantClassName: primary ? 'ms-Button--compoundPrimary' : 'ms-Button--compound',
      styles: internalStyles
    };
    return h(BaseButton, {
      "props": { ...props
      },
      "attrs": { ...this.$attrs
      }
    }, [this.$slots.default]);
  }

};

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], CompoundButton.prototype, "primary", void 0);

CompoundButton = __decorate([Component], CompoundButton);

export { CompoundButton };
