import { __decorate, __metadata } from 'tslib';
import { Prop, Component } from 'vue-property-decorator';
import BaseComponent from '../../BaseComponent.js';
import { BaseButton } from '../BaseButton.js';
import { getStyles } from './IconButton.styles.js';

let IconButton = class IconButton extends BaseComponent {
  get internalStyles() {
    const {
      theme,
      styles
    } = this;
    return getStyles(theme, styles);
  }

  render() {
    const h = arguments[0];
    const {
      disabled,
      internalStyles
    } = this;
    const props = {
      disabled,
      variantClassName: 'ms-Button--icon',
      styles: internalStyles
    };
    return h(BaseButton, {
      "props": { ...props
      },
      "attrs": { ...this.$attrs
      }
    }, [this.$slots.default]);
  }

};

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], IconButton.prototype, "disabled", void 0);

IconButton = __decorate([Component({
  components: {
    BaseButton
  },
  inheritAttrs: false
})], IconButton);

export { IconButton };
