import { __decorate, __metadata } from 'tslib';
import { Prop, Component } from 'vue-property-decorator';
import { classNamesFunction } from '@uifabric-vue/utilities';
import BaseComponent from '../../BaseComponent.js';
import { DetailsColumn } from '../DetailsColumn/DetailsColumn.js';

const getClassNames = classNamesFunction();
let DetailsHeaderBase = class DetailsHeaderBase extends BaseComponent {
  get classNames() {
    const {
      styles,
      theme,
      className
    } = this;
    return getClassNames(styles, {
      theme: theme,
      isAllSelected: false,
      isSelectAllHidden: false,
      isResizingColumn: false,
      isSizing: false,
      isAllCollapsed: false,
      isCheckboxHidden: false,
      className
    });
  }

  render() {
    const h = arguments[0];
    const {
      classNames,
      columns
    } = this;
    return h("div", {
      "class": classNames.root,
      "attrs": {
        "role": "row"
      }
    }, [columns.map((column, index) => h(DetailsColumn, {
      "key": column.key,
      "attrs": {
        "column": column,
        "columnIndex": index,
        "parentId": this.uid
      }
    }))]);
  }

};

__decorate([Prop({
  type: Array,
  required: true
}), __metadata("design:type", Array)], DetailsHeaderBase.prototype, "columns", void 0);

DetailsHeaderBase = __decorate([Component({
  components: {
    DetailsColumn
  }
})], DetailsHeaderBase);

export { DetailsHeaderBase };
