import { __decorate, __metadata } from 'tslib';
import { Prop, Component } from 'vue-property-decorator';
import { css } from '@uifabric-vue/utilities';
import StatelessComponent from '../StatelessComponent.js';
import { MS_ICON, classNames } from './Icon.styles.js';
import { Image } from '../Image/index.js';

let ImageIcon = class ImageIcon extends StatelessComponent {
  render(h, context) {
    const {
      imageProps
    } = context.props;
    const className = [context.props.className, context.data.class].filter(e => e).join(' ');
    const containerProps = context.data.attrs && context.data.attrs['aria-label'] ? {} : {
      role: 'presentation',
      'aria-hidden': !(imageProps.alt || imageProps['aria-labelledby'])
    };
    return h("div", {
      "props": { ...containerProps
      },
      "class": css(MS_ICON, classNames.root, classNames.image, className)
    }, [h(Image, {
      "props": { ...imageProps
      }
    })]);
  }

};

__decorate([Prop({
  type: Object,
  default: null
}), __metadata("design:type", Object)], ImageIcon.prototype, "imageProps", void 0);

ImageIcon = __decorate([Component], ImageIcon);

export { ImageIcon };
