import { __decorate } from 'tslib';
import { Component } from 'vue-property-decorator';
import { classNamesFunction } from '@uifabric-vue/utilities';
import StatelessComponent from '../../StatelessComponent.js';
import { ShimmerElementsDefaultHeights } from '../Shimmer.types.js';
import { ShimmerLine } from '../ShimmerLine/ShimmerLine.js';

const getClassNames = classNamesFunction();
let ShimmerElementsGroupBase = class ShimmerElementsGroupBase extends StatelessComponent {
  // @Prop()
  render(h, ctx) {
    const {
      styles,
      theme
    } = ctx.props;
    const classNames = getClassNames(styles, {
      theme
    });
    return h("div", {
      "class": classNames.root
    }, [h("shimmer-line", {
      "attrs": {
        "height": ShimmerElementsDefaultHeights.line
      }
    })]);
  }

};
ShimmerElementsGroupBase = __decorate([Component({
  components: {
    ShimmerLine
  }
})], ShimmerElementsGroupBase);
var ShimmerElementsGroupBase$1 = ShimmerElementsGroupBase;

export default ShimmerElementsGroupBase$1;
