import { __decorate, __metadata } from 'tslib';
import { Prop, Component } from 'vue-property-decorator';
import { classNamesFunction } from '@uifabric-vue/utilities';
import StatelessComponent from '../StatelessComponent.js';
import { DelayedRender } from '../DelayedRender.js';

const getClassNames = classNamesFunction();
let Spinner = class Spinner extends StatelessComponent {
  render(h, context) {
    const {
      theme,
      styles,
      className,
      ariaLabel,
      ariaLive,
      size,
      label,
      labelPosition
    } = context.props;
    const statusMessage = ariaLabel;
    const classNames = getClassNames(styles, {
      theme,
      size,
      className,
      labelPosition
    });
    return h("div", {
      "class": classNames.root
    }, [h("div", {
      "class": classNames.circle
    }), (context.scopedSlots.default || label) && h("div", {
      "class": classNames.label
    }, [context.scopedSlots.default ? context.scopedSlots.default({}) : label]), statusMessage && h("div", {
      "attrs": {
        "role": "status",
        "aria-live": ariaLive
      }
    }, [h(DelayedRender, [h("div", {
      "class": classNames.screenReaderText
    }, [statusMessage])])])]);
  }

};

__decorate([Prop({
  type: String,
  default: null
}), __metadata("design:type", String)], Spinner.prototype, "label", void 0);

__decorate([Prop({
  type: String,
  default: null
}), __metadata("design:type", String)], Spinner.prototype, "ariaLabel", void 0);

__decorate([Prop({
  type: String,
  default: 'polite',
  validator: v => ['assertive', 'polite', 'off'].indexOf(v) > -1
}), __metadata("design:type", String)], Spinner.prototype, "ariaLive", void 0);

__decorate([Prop({
  type: String,
  default: 'bottom'
}), __metadata("design:type", String)], Spinner.prototype, "labelPosition", void 0);

__decorate([Prop({
  type: Number,
  default: 20
}), __metadata("design:type", Number)], Spinner.prototype, "size", void 0);

Spinner = __decorate([Component], Spinner);
var SpinnerBase = Spinner;

export default SpinnerBase;
