import { __decorate, __metadata } from 'tslib';
import { Prop, Component } from 'vue-property-decorator';
import { classNamesFunction, toMatrix } from '@uifabric-vue/utilities';
import BaseComponent from '../../components/BaseComponent.js';

const getClassNames = classNamesFunction();
let GridBase = class GridBase extends BaseComponent {
  get rowsOfItems() {
    const {
      items,
      columnCount
    } = this;
    return toMatrix(items, columnCount);
  }

  get classNames() {
    const {
      theme,
      styles
    } = this;
    return getClassNames(styles, {
      theme
    });
  }

  render() {
    const h = arguments[0];
    const {
      classNames,
      rowsOfItems
    } = this;
    return h("table", {
      "class": classNames.root
    }, [h("tbody", [rowsOfItems.map((rows, rowIndex) => h("tr", {
      "key": `${this.uid}-${rowIndex}-row`,
      "attrs": {
        "role": "row"
      }
    }, [rows.map((cell, cellIndex) => h("td", {
      "key": `${this.uid}-${rowIndex}-${cellIndex}-cell`,
      "class": classNames.tableCell
    }, [this.$scopedSlots.default ? this.$scopedSlots.default({
      cell,
      index: cellIndex
    }) : null]))]))])]);
  }

};

__decorate([Prop(), __metadata("design:type", Array)], GridBase.prototype, "items", void 0);

__decorate([Prop(), __metadata("design:type", Number)], GridBase.prototype, "columnCount", void 0);

GridBase = __decorate([Component({
  components: {},
  inheritAttrs: false
})], GridBase);

export { GridBase };
